package de.frajul.endlessroll.entities.collision.collisionData;

import de.frajul.endlessroll.entities.Entity;
import de.frajul.endlessroll.entities.collision.Edge;

/**
 * Created by Julian on 01.01.2016.
 */
public class EntityCollisionData {

    private Entity entity;
    private Edge edge;

    public EntityCollisionData(Entity entity, Edge edge) {
        this.entity = entity;
        this.edge = edge;
    }

    public boolean isCollision() {
        return entity != null && edge != null;
    }

    public Entity getEntity() {
        return entity;
    }

    public Edge getEdge() {
        return edge;
    }
}
